> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Update Calendar Event > Update an existing calendar event. ## OpenAPI ````json POST /api/v1/calendar-events.update { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Miscellaneous" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Commands" }, { "name": "Email Inbox" }, { "name": "Licenses" }, { "name": "Mailer" }, { "name": "Calendar Events" }, { "name": "WhatsApp" }, { "name": "Rasa App" }, { "name": "Jitsi App" } ], "paths": { "/api/v1/calendar-events.update": { "post": { "summary": "Update Calendar Event", "tags": [ "Calendar Events" ], "responses": { "200": { "$ref": "#/components/responses/trueSuccess" }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": "false", "error": "must have required property 'eventId' [invalid-params]", "errorType": "invalid-params" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } }, "operationId": "post-api-v1-calendar-events.update", "description": "Update an existing calendar event.", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" } ], "requestBody": { "content": { "application/json": { "schema": { "type": "object", "required": [ "eventId", "startTime", "subject", "description" ], "properties": { "eventId": { "type": "string", "description": "Enter the event ID that you want to update." }, "startTime": { "type": "string", "description": "Enter the time at which the event starts." }, "endTime": { "type": "string", "description": "Enter the time at which the event ends." }, "subject": { "type": "string", "description": "Enter a subject for the event." }, "description": { "type": "string", "description": "Enter a description for the event." }, "reminderMinutesBeforeStart": { "type": "integer", "description": "Enter the number of minutes before the event that the reminder should be sent." }, "busy": { "type": "boolean", "description": "Enter whether or not you want to set your status as busy." } } }, "examples": { "Example 1": { "value": { "eventId": "690b08674e7e8bcf6985b2d5", "startTime": "2025-11-05T07:17:00Z", "endTime": "2025-11-05T07:18:00Z", "subject": "Subject8", "description": "Description8", "reminderMinutesBeforeStart": "10" } } } } } } } } }, "components": { "responses": { "trueSuccess": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "success": "true" } } } } } }, "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } }, "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } } } } ````